groovy.transform

## Class Undefined

- java.lang.Object
- - groovy.transform.Undefined

    public final class Undefined
    extends java.lang.Object

Java doesn't allow you to have null as an attribute value. It wants you to indicate what you really mean by null, so that is what we do here - as ugly as it is.

### Nested Class Summary

Nested Classes
`static class` `Undefined.CLASS`

### Field Summary

Fields
`static java.lang.String` `STRING`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isUndefined(ClassNode other)`
`static boolean` `isUndefined(java.lang.String other)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STRING

    public static final java.lang.String STRING

See Also:
  Constant Field Values

### Method Detail

#### isUndefined

    public static boolean isUndefined(java.lang.String other)

#### isUndefined

    public static boolean isUndefined(ClassNode other)